Platfform Asiantau ac API Road User Tools
Trosi pellteroedd
Trosi rhwng cilometrau, metrau, milltiroedd, iardiau a thraed.
Rhyngwynebau
POST
Pwynt diwedd REST
/api/v1/distance/convertMCP
Enw offeryn
convert_distanceCais
Anfonwch y cais fel JSON. Mae cleientiaid MCP yn pasio'r un meysydd ag argumentau'r offeryn.
cURLshell
curl -X POST https://roaduser.tools/api/v1/distance/convert \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "content-type: application/json" \
-d '{
"value": 10,
"from": "km",
"to": "mi"
}'Corff y caisjson
{
"value": 10,
"from": "km",
"to": "mi"
}Ymateb
Mae REST yn amgáu canlyniad y cyfrifiad yn yr amlen lwyddiant safonol. Mae MCP yn dychwelyd yr un data cyfrifo fel allbwn offeryn strwythuredig.
JSON
{
"ok": true,
"data": {
"input": {
"value": 10,
"from": "km",
"to": "mi"
},
"conversions": {
"km": 10,
"m": 10000,
"mi": 6.2137119223733395,
"yd": 10936.132983377078,
"ft": 32808.39895013123
},
"result": 6.2137119223733395
}
}{
"ok": false,
"error": {
"code": "invalid_request",
"message": "Invalid request input."
}
}Sgemâu
Mae'r diffiniadau isod yn dangos y JSON Schema cyflawn a ddefnyddir i ddilysu mewnbynnau a disgrifio allbynnau.
Cynllun mewnbwn
{
"type": "object",
"additionalProperties": false,
"properties": {
"value": {
"type": "number",
"description": "Distance value to convert. Must be finite and non-negative."
},
"from": {
"type": "string",
"enum": [
"km",
"m",
"mi",
"yd",
"ft"
],
"description": "Input distance unit."
},
"to": {
"type": "string",
"enum": [
"km",
"m",
"mi",
"yd",
"ft"
],
"description": "Optional target unit. When omitted, all units are returned."
}
},
"required": [
"value",
"from"
]
}Cynllun allbwn
{
"type": "object",
"additionalProperties": false,
"properties": {
"input": {
"type": "object",
"additionalProperties": false,
"properties": {
"value": {
"type": "number"
},
"from": {
"type": "string",
"enum": [
"km",
"m",
"mi",
"yd",
"ft"
]
},
"to": {
"type": "string",
"enum": [
"km",
"m",
"mi",
"yd",
"ft"
]
}
},
"required": [
"value",
"from"
]
},
"conversions": {
"type": "object",
"additionalProperties": false,
"properties": {
"km": {
"type": "number"
},
"m": {
"type": "number"
},
"mi": {
"type": "number"
},
"yd": {
"type": "number"
},
"ft": {
"type": "number"
}
},
"required": [
"km",
"m",
"mi",
"yd",
"ft"
]
},
"result": {
"type": "number",
"description": "Target-unit result when a target unit is supplied."
}
},
"required": [
"input",
"conversions"
]
}